LANGS = {
	en = true,
	fr = true,
	de = true,
	es = true
}

CLASSES = {
	warrior = true,
	warlock = true,
	druid = true,
	hunter = true,
	mage = true,
	priest = true,
	shaman = true,
	rogue = true,
	paladin = true,
}

DATA_URL_P = "http://www.wow-europe.com/shared/global/talents/%s/%s/data.js"
OUTFILE_P = "data-%s-%s.js"

local function get_content(filename)
	local status, f = pcall(io.open, filename, "r")
	if not status then return nil end
	local content = f:read("*a")
	f:close()
	return content
end

local function download(src, dst)
	local cmd = string.format("curl -s -o %s %s", dst, src)
	local old_content = get_content(dst)
	if arg[1] == '-v' then print(cmd) end
	os.execute(cmd)
	local new_content = get_content(dst)
	if new_content ~= old_content then
		print(string.format("CHANGED : %s", src))
	end
end


for lang in pairs(LANGS) do
	for class in pairs(CLASSES) do
		local url = string.format(DATA_URL_P, class, lang)
		local out = string.format(OUTFILE_P, class, lang)
		
		download(url, out)
	end
end


KOKR_URL_P = "http://www.worldofwarcraft.co.kr/shared/global/talents/%s/data.js"

for class in pairs(CLASSES) do
	local url = string.format(KOKR_URL_P, class)
	local out = string.format(OUTFILE_P, class, "kr")
	
	download(url, out)
end



ENUS_URL_P = "http://www.worldofwarcraft.com/shared/global/talents/%s/data.js"

for class in pairs(CLASSES) do
	local url = string.format(ENUS_URL_P, class)
	local out = string.format(OUTFILE_P, class, "us")
	
	download(url, out)
end


ZHCN_URL_P = "http://www.wowchina.com/include_wow/script/gameinfo/talents/%s/data.js"

for class in pairs(CLASSES) do
	local url = string.format(ZHCN_URL_P, class)
	local out = string.format(OUTFILE_P, class, "cn")
	download(url, out)
end

